// AcTreeNode.h: interface for the AcTreeNode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ACTREENODE_H__E2B26D9B_55CB_4D9C_9B11_B0304CD2A867__INCLUDED_)
#define AFX_ACTREENODE_H__E2B26D9B_55CB_4D9C_9B11_B0304CD2A867__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Identifier.h"

class AcTreeNode  
{
public:
	AcTreeNode(long numComponents);
	virtual ~AcTreeNode();

	// array of pointers to other nodes
	AcTreeNode ** m_ptr;
	// node level
	long m_depth;
	// 'error' pointer - used only during the tree buildup
	AcTreeNode * m_backout;
	// pointer to next node on the same level
	AcTreeNode * m_next;
	// true if the node is final
	bool m_final;

};

#endif // !defined(AFX_ACTREENODE_H__E2B26D9B_55CB_4D9C_9B11_B0304CD2A867__INCLUDED_)
